#include<iostream>
using namespace std;
int main()
{
	long int N, H, i, pom=0;
	cin>>N; cin>>H;
	int stalaktiti[N], niz[N];
	for(i=0; i<N; i++)
	{
		cin>>stalaktiti[i];
		if(stalaktiti[i] <= H)
		{
			niz[pom]=i+1;
			pom++;
		}
	}	
	if(pom==0)
		cout<<"-1";
	else
		cout<<niz[0];					
}